Threads
Concurrency
Collaboration diagram for Threads:

## Namespaces

| std::this_thread

## Classes

struct | std::hash< thread::id >
class | std::thread

## Functions

bool | std::operator!= (thread::id __x, thread::id __y) noexcept
template<class _CharT , class _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, thread::id __id)
bool | std::operator<= (thread::id __x, thread::id __y) noexcept
bool | std::operator> (thread::id __x, thread::id __y) noexcept
bool | std::operator>= (thread::id __x, thread::id __y) noexcept
void | std::swap (thread &__x, thread &__y) noexcept

## Detailed Description

Classes for thread support.